<?php
require_once('/home/kaa2nx/.mysqlpass.inc.php');
class Model {
    private static $host = 'localhost';
    private static $user = 'dbuser';
    private static $database = 'class_examples';
    
    private $connection;
    
    public function __construct() {
        try {
            $this->connection = new PDO(
                "mysql:host=" . self::$host,
                self::$user,
                MySQLPassword::$password
            );
        } catch (PDOException $e) {
            //connection failed
            throw new Exception('Could not connect!');
        }
        
        if(!$this->connection->query("USE " . self::$database)) {
            // an error occurred
            throw new Exception("could not select DB");
        }
    }
    
    //verify the user and password against the database
    public function verify_login($user,$pass) {
        $prepared = $this->connection->prepare(
            "SELECT password FROM students WHERE email = :user"
        );
        
        if(!$prepared->execute([":user" => $user])) {
            // query failed
            throw new Exception("Query Failed");
        }
        
        // no results
        if($prepared->rowCount() == 0)
            throw new Exception("User not found");
        
        //we have a user
        $row = $prepared->fetch();
        $stored_pass = $row['password'];
        
        if(sha1($pass) != $stored_pass) {
            throw new Exception("passwords don't match");
        }
        
        return true;
    }
}





?>